%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

%define         itcl_sitearch %{tcl_sitearch}/itcl4.0.4

%define         apinum    %{version}
%define         srcname   %{name}%{apinum}

%define         libname   %mklibname %{name} %{apinum}
%define         develname %mklibname -d %{name} %{apinum}


Name:           itk
Version:        4.0.2
Release:        %mkrel 2
Summary:        Object oriented extensions to Tk
Group:          Development/Other
License:        TCL
URL:            http://sourceforge.net/projects/incrtcl/files
Source0:        %{name}%{version}.tar.gz
Patch0:         itk-4.0.2-soname.patch
Patch1:         itk-4.0.2-findinit.patch

BuildRequires:  tk-devel 
BuildRequires:  itcl-devel
BuildRequires:  itcl-static-devel

%description
[incr Tk] is Tk extension that provides object-oriented features that are
missing from the Tk extension to Tcl.  The OO features provided by itk are
useful for building megawidgets.

%package -n %{libname}
Summary: Library for linking against itk
Group:   System/Libraries

Requires:  %{name} = %{version}-%{release}
Conflicts: %{name} <= 3.4
Obsoletes: %{name} <= 3.4

%description -n %{libname}
%{summary}.



%package -n %{develname}
Summary: Development headers for linking against itk
Group:   Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: lib%{name}%{apinum}-devel = %{version}-%{release}
Conflicts: %{name}-devel <= 3.4
Obsoletes: %{name}-devel <= 3.4

%description -n %{develname}
%{summary}.




%prep
%setup -q -n %{srcname}
%patch0 -p1 -b .soname
%patch1 -p1 -b .find

%build
autoreconf -fi
%configure2_5x --with-itcl=%{itcl_sitearch} \
               --libdir=%{tcl_sitearch} \
               --datadir=%{tcl_sitelib}
%make


%install
%make_install

pushd %{buildroot}%{_libdir}
%__ln_s %{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so .
popd


%files
%dir %{tcl_sitearch}
%{tcl_sitearch}/%{name}%{apinum}/tclIndex
%{tcl_sitearch}/%{name}%{apinum}/*.tcl
%{tcl_sitearch}/%{name}%{apinum}/*.itk
%{_mandir}/mann/*
%doc license.terms


%files -n %{libname}
%{tcl_sitearch}/%{name}%{apinum}/*.so


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Sun Mar 27 2016 daviddavid <daviddavid> 4.0.2-2.mga6
+ Revision: 995732
- rebuild for itcl 4.0.4 on arm

* Sun Mar 27 2016 eatdirt <eatdirt> 4.0.2-1.mga6
+ Revision: 995707
- Upgrade to version 4.0.4

* Thu Feb 11 2016 umeabot <umeabot> 3.4.1-4.mga6
+ Revision: 954660
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 eatdirt <eatdirt> 3.4.1-3.mga6
+ Revision: 886140
- Rebuild for tcl8.6

* Thu Sep 24 2015 eatdirt <eatdirt> 3.4.1-2.mga6
+ Revision: 883069
- Fix missing soname

* Thu Sep 24 2015 eatdirt <eatdirt> 3.4.1-1.mga6
+ Revision: 882527
- Upgrade to version 3.4.1, add api number to libname

* Wed Oct 15 2014 umeabot <umeabot> 3.4-4.mga5
+ Revision: 744349
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-3.mga5
+ Revision: 680584
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.4-2.mga4
+ Revision: 531148
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 joequant <joequant> 3.4-1.mga4
+ Revision: 462219
- imported package itk

